Upstream information

CVE-2017-17080 at MITRE

Description

elf.c in the Binary File Descriptor (BFD) library (aka libbfd), as distributed in GNU Binutils 2.29.1, does not validate sizes of core notes, which allows remote attackers to cause a denial of service (bfd_getl32 heap-based buffer over-read and application crash) via a crafted object file, related to elfcore_grok_netbsd_procinfo, elfcore_grok_openbsd_procinfo, and elfcore_grok_nto_status.

SUSE information

Overall state of this security issue: Ignore

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:N/I:N/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
SUSE Bugzilla entry: 1070764 [RESOLVED / WONTFIX]

No SUSE Security Announcements cross referenced.


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
OpenStack Cloud Magnum Orchestration 7.0 binutils Ignore
SUSE Linux Enterprise Desktop 12 SP3 binutils Ignore
SUSE Linux Enterprise Module for Basesystem 15 GA binutils Ignore
SUSE Linux Enterprise Module for Development Tools 15 GA binutils Ignore
SUSE Linux Enterprise SDK 11 SP4 binutils Ignore
SUSE Linux Enterprise SDK 12 SP3 binutils Ignore
SUSE Linux Enterprise Server 11 SP4 binutils Ignore
SUSE Linux Enterprise Server 12 GA LTSS binutils Ignore
SUSE Linux Enterprise Server 12 SP1 LTSS binutils Ignore
SUSE Linux Enterprise Server 12 SP2 LTSS binutils Ignore
SUSE Linux Enterprise Server 12 SP3 binutils Ignore